/*
 * generated by Xtext 2.27.0
 */
package tdt4250.ra.ui;

import com.google.inject.Injector;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;
import tdt4250.ra.xtext3.ui.internal.Xtext3Activator;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class RaDSL2022ExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return FrameworkUtil.getBundle(Xtext3Activator.class);
	}
	
	@Override
	protected Injector getInjector() {
		Xtext3Activator activator = Xtext3Activator.getInstance();
		return activator != null ? activator.getInjector(Xtext3Activator.TDT4250_RA_RADSL2022) : null;
	}

}
